/*
 * @file
 * Styles for Available Updates report.
 */

.project-update__version {
  padding-block: 0;
}

.project-update__version-links {
  padding-inline-end: 0;
}

.project-update__details {
  padding: 0;
  color: var(--admin-color-text-soft);
  font-size: var(--admin-font-size-s);
}

.project-update__status {
  .gin-status-icon {
    display: inline-block;
    width: 1rem;
    height: 1rem;
    mask-position: center right;
    mask-repeat: no-repeat;
    mask-size: 100% 100%;

    &:dir(rtl) {
      mask-position: center left;
    }

    img {
      display: none;
    }
  }
}

.project-update__status--security-error {
  color: var(--admin-color-error);
}

.color-success,
tr.color-success,
.color-checked,
.drupal-upgrade-status-summary-form tr.no-known-error {
  border-inline-start: var(--admin-radius-xs) solid var(--admin-color-success);
  background-color: transparent;

  &:hover,
  &:active,
  &:focus {
    background-color: var(--admin-color-bg-success);
  }
}

.color-warning,
tr.color-warning,
.upgrade-status-next-step-remove tr,
.drupal-upgrade-status-summary-form tr.known-warnings {
  border-inline-start: var(--admin-radius-xs) solid var(--admin-color-warning);
  background-color: transparent;

  &:hover,
  &:active,
  &:focus {
    background-color: var(--admin-color-bg-warning);

    .gin--dark-mode & {
      color: var(--admin-color-warning);
    }
  }
}

.color-error,
tr.color-error,
.drupal-upgrade-status-summary-form tr.known-errors {
  border-inline-start: var(--admin-radius-xs) solid var(--admin-color-error);
  background-color: transparent;

  &:hover,
  &:active,
  &:focus {
    background-color: var(--admin-color-bg-error);

    .gin--dark-mode & {
      color: var(--admin-color-error);
    }
  }
}

.color-success,
.color-warning,
.color-error,
.color-checked {
  box-sizing: border-box;
  color: var(--admin-color-text);
}

.update {
  margin: 0;
  border: 0 none;

  tbody {
    tr:last-child {
      border-block-end: 0 none;
    }
  }
}

#update-status > p {
  margin-block-end: var(--admin-space-xl);
}
